<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CMakeRunConfigurationManager" shouldGenerate="true" shouldDeleteObsolete="true">
    <generated>
      <config projectName="Smoke" targetName="Smoke" />
    </generated>
  </component>
  <component name="CMakeSettings">
    <configurations>
      <configuration PROFILE_NAME="Debug" CONFIG_NAME="Debug" />
    </configurations>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="a81b621c-2592-4d18-9415-6810cef2bd99" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/Engine.cpp" beforeDir="false" afterPath="$PROJECT_DIR$/Engine.cpp" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/cmake-build-debug/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="CMakeBuildProfile:Debug" />
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config/params.txt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="90">
              <caret line="6" column="15" lean-forward="true" selection-start-line="6" selection-start-column="15" selection-end-line="6" selection-end-column="15" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config/params_left.txt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="270">
              <caret line="18" column="21" lean-forward="true" selection-start-line="18" selection-start-column="21" selection-end-line="18" selection-end-column="21" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config/params_upleft.txt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="405">
              <caret line="27" column="35" selection-start-line="27" selection-start-column="35" selection-end-line="27" selection-end-column="35" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config/params_plot.txt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="195">
              <caret line="13" column="10" lean-forward="true" selection-start-line="13" selection-start-column="10" selection-end-line="13" selection-end-column="10" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config/params_gravity.txt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="420">
              <caret line="28" selection-start-line="28" selection-end-line="28" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config/params_basic.txt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="90">
              <caret line="6" column="15" selection-start-line="6" selection-start-column="15" selection-end-line="6" selection-end-column="15" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config/params_buoyancy.txt">
          <provider selected="true" editor-type-id="text-editor">
            <state>
              <caret selection-end-line="28" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config/params_vorticity.txt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="420">
              <caret line="28" lean-forward="true" selection-start-line="28" selection-end-line="28" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/ParticleEngine.cpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="312">
              <caret line="271" column="8" selection-start-line="271" selection-start-column="8" selection-end-line="271" selection-end-column="8" />
              <folding>
                <element signature="e#40#59#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/Engine.cpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="301">
              <caret line="59" column="62" selection-start-line="59" selection-start-column="62" selection-end-line="59" selection-end-column="62" />
              <folding>
                <element signature="e#40#60#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="GLSL Shader" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>bou</find>
      <find>+</find>
      <find>26</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="master" />
      </map>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/Component.cpp" />
        <option value="$PROJECT_DIR$/Component.h" />
        <option value="$PROJECT_DIR$/GFXengine.h" />
        <option value="$PROJECT_DIR$/GFXengine.cpp" />
        <option value="$PROJECT_DIR$/Shader.cpp" />
        <option value="$PROJECT_DIR$/Shader.h" />
        <option value="$PROJECT_DIR$/Camera.h" />
        <option value="$PROJECT_DIR$/Camera.cpp" />
        <option value="$PROJECT_DIR$/main.cpp" />
        <option value="$PROJECT_DIR$/Renderer.h" />
        <option value="$PROJECT_DIR$/shaders/default.vert" />
        <option value="$PROJECT_DIR$/Renderer.cpp" />
        <option value="$PROJECT_DIR$/Engine.h" />
        <option value="$PROJECT_DIR$/shaders/default.frag" />
        <option value="$PROJECT_DIR$/shaders/particle.vert" />
        <option value="$PROJECT_DIR$/shaders/particle.frag" />
        <option value="$PROJECT_DIR$/Particle.h" />
        <option value="$PROJECT_DIR$/CMakeLists.txt" />
        <option value="$PROJECT_DIR$/config/params1.txt" />
        <option value="$PROJECT_DIR$/ResourceManager.h" />
        <option value="$PROJECT_DIR$/ResourceManager.cpp" />
        <option value="$PROJECT_DIR$/PerlinNoise.cpp" />
        <option value="$PROJECT_DIR$/PerlinNoise.h" />
        <option value="$PROJECT_DIR$/Scene.h" />
        <option value="$PROJECT_DIR$/RenderComponent.cpp" />
        <option value="$PROJECT_DIR$/Object.cpp" />
        <option value="$PROJECT_DIR$/Object.h" />
        <option value="$PROJECT_DIR$/RenderComponent.h" />
        <option value="$PROJECT_DIR$/Scene.cpp" />
        <option value="$PROJECT_DIR$/config/params_vorticity.txt" />
        <option value="$PROJECT_DIR$/ParticleEngine.h" />
        <option value="$PROJECT_DIR$/config/params_buoyancy.txt" />
        <option value="$PROJECT_DIR$/config/params_gravity.txt" />
        <option value="$PROJECT_DIR$/config/params_diffusion.txt" />
        <option value="$PROJECT_DIR$/config/params_basic.txt" />
        <option value="$PROJECT_DIR$/config/params_plot.txt" />
        <option value="$PROJECT_DIR$/config/params_upleft.txt" />
        <option value="$PROJECT_DIR$/ParticleEngine.cpp" />
        <option value="$PROJECT_DIR$/config/params.txt" />
        <option value="$PROJECT_DIR$/config/params_left.txt" />
        <option value="$PROJECT_DIR$/Engine.cpp" />
      </list>
    </option>
  </component>
  <component name="OCFindUsagesOptions" text="true" ivars="false" properties="true" derivedClasses="false" />
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="397" />
    <option name="y" value="172" />
    <option name="width" value="907" />
    <option name="height" value="789" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="Smoke" type="b2602c69:ProjectViewProjectNode" />
              <item name="Smoke" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Smoke" type="b2602c69:ProjectViewProjectNode" />
              <item name="Smoke" type="462c0819:PsiDirectoryNode" />
              <item name="config" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="nodejs_package_manager_path" value="npm" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="Smoke" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="Smoke" TARGET_NAME="Smoke" CONFIG_NAME="Debug" RUN_TARGET_PROJECT_NAME="Smoke" RUN_TARGET_NAME="Smoke">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="a81b621c-2592-4d18-9415-6810cef2bd99" name="Default Changelist" comment="" />
      <created>1543913336746</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1543913336746</updated>
      <workItem from="1543913340542" duration="11880000" />
      <workItem from="1543938723034" duration="6785000" />
      <workItem from="1544367374647" duration="11419000" />
      <workItem from="1544710981456" duration="4756000" />
      <workItem from="1544720471743" duration="1857000" />
      <workItem from="1544809775910" duration="786000" />
      <workItem from="1545568865241" duration="4114000" />
      <workItem from="1545752680013" duration="9419000" />
      <workItem from="1545937417463" duration="10391000" />
      <workItem from="1546083726388" duration="6320000" />
      <workItem from="1546529808875" duration="6476000" />
      <workItem from="1546616243235" duration="11098000" />
      <workItem from="1546679394005" duration="14210000" />
      <workItem from="1546712918744" duration="8564000" />
      <workItem from="1546855938399" duration="16162000" />
      <workItem from="1546929908015" duration="126000" />
      <workItem from="1547062943118" duration="10277000" />
      <workItem from="1547102684539" duration="3332000" />
      <workItem from="1547666728135" duration="8391000" />
      <workItem from="1547792803587" duration="13740000" />
      <workItem from="1547922982676" duration="8485000" />
      <workItem from="1547971138831" duration="7002000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="195929000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="67" y="25" width="1853" height="1055" extended-state="6" />
    <layout>
      <window_info id="Favorites" order="0" side_tool="true" />
      <window_info content_ui="combo" id="Project" order="1" visible="true" weight="0.15882678" />
      <window_info id="Structure" order="2" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="CMake" order="0" />
      <window_info anchor="bottom" id="Terminal" order="1" />
      <window_info anchor="bottom" id="Event Log" order="2" sideWeight="0.5002767" side_tool="true" weight="0.32937366" />
      <window_info anchor="bottom" id="Version Control" order="3" sideWeight="0.4997233" weight="0.32937366" />
      <window_info anchor="bottom" id="Messages" order="4" weight="0.32937366" />
      <window_info anchor="bottom" id="Message" order="5" />
      <window_info anchor="bottom" id="Find" order="6" weight="0.32937366" />
      <window_info active="true" anchor="bottom" id="Run" order="7" visible="true" weight="0.31101513" />
      <window_info anchor="bottom" id="Database Changes" order="8" />
      <window_info anchor="bottom" id="Debug" order="9" weight="0.39848813" />
      <window_info anchor="bottom" id="Cvs" order="10" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="11" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="12" />
      <window_info anchor="right" id="Database" order="0" weight="0.32982844" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="1" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="2" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="3" weight="0.25" />
    </layout>
    <layout-to-restore>
      <window_info id="Favorites" order="0" side_tool="true" />
      <window_info content_ui="combo" id="Project" order="1" weight="0.15384616" />
      <window_info id="Structure" order="2" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="CMake" order="0" />
      <window_info anchor="bottom" id="Terminal" order="1" />
      <window_info anchor="bottom" id="Event Log" order="2" sideWeight="0.5002767" side_tool="true" weight="0.32937366" />
      <window_info anchor="bottom" id="Version Control" order="3" sideWeight="0.4997233" weight="0.32937366" />
      <window_info anchor="bottom" id="Messages" order="4" weight="0.32937366" />
      <window_info anchor="bottom" id="Message" order="5" />
      <window_info anchor="bottom" id="Find" order="6" />
      <window_info active="true" anchor="bottom" id="Run" order="7" visible="true" weight="0.31101513" />
      <window_info anchor="bottom" id="Database Changes" order="8" />
      <window_info anchor="bottom" id="Debug" order="9" weight="0.39848813" />
      <window_info anchor="bottom" id="Cvs" order="10" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="11" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="12" />
      <window_info anchor="right" id="Database" order="0" weight="0.32982844" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="1" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="2" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="3" weight="0.25" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.History.Properties">
    <option name="COLUMN_ORDER">
      <list>
        <option value="0" />
        <option value="2" />
        <option value="3" />
        <option value="1" />
      </list>
    </option>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/shaders/default.vert">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="6" lean-forward="true" selection-start-line="6" selection-end-line="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Particle.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="2" selection-start-column="2" selection-end-column="2" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/shaders/default.frag">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="165">
          <caret line="11" column="23" selection-start-line="11" selection-start-column="23" selection-end-line="11" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file:///usr/include/c++/7/bits/stl_vector.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="177">
          <caret line="797" selection-start-line="797" selection-end-line="797" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/shaders/particle.vert">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="330">
          <caret line="22" column="28" selection-start-line="22" selection-start-column="28" selection-end-line="22" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/shaders/particle.frag">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="9" column="46" selection-start-line="9" selection-start-column="46" selection-end-line="9" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file:///usr/local/include/glm/detail/type_vec3.inl">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="221">
          <caret line="695" column="37" lean-forward="true" selection-start-line="695" selection-start-column="37" selection-end-line="695" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/PerlinNoise.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="795">
          <caret line="53" selection-start-line="53" selection-end-line="53" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Camera.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="420">
          <caret line="28" column="40" lean-forward="true" selection-start-line="28" selection-start-column="40" selection-end-line="28" selection-end-column="40" />
          <folding>
            <element signature="e#40#59#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Component.cpp" />
    <entry file="file://$PROJECT_DIR$/Shader.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-239">
          <caret line="71" column="28" selection-start-line="71" selection-start-column="28" selection-end-line="71" selection-end-column="28" />
          <folding>
            <element signature="e#40#62#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Texture.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-119">
          <caret line="21" column="79" selection-start-line="21" selection-start-column="79" selection-end-line="21" selection-end-column="79" />
          <folding>
            <element signature="e#95#117#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/ResourceManager.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="435">
          <caret line="29" selection-start-line="29" selection-end-line="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Component.h" />
    <entry file="file://$PROJECT_DIR$/Object.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="17" selection-start-line="17" selection-end-line="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Renderer.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="17" column="35" selection-start-line="17" selection-start-column="35" selection-end-line="17" selection-end-column="35" />
          <folding>
            <element signature="e#40#62#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/RenderComponent.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="390">
          <caret line="26" column="15" selection-start-line="26" selection-start-column="15" selection-end-line="26" selection-end-column="15" />
          <folding>
            <element signature="e#40#68#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Scene.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="14" column="1" selection-start-line="14" selection-start-column="1" selection-end-line="14" selection-end-column="1" />
          <folding>
            <element signature="e#40#58#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Particle.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="270">
          <caret line="18" column="22" lean-forward="true" selection-start-line="18" selection-start-column="22" selection-end-line="18" selection-end-column="22" />
          <folding>
            <element signature="e#92#114#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Object.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="375">
          <caret line="25" column="2" lean-forward="true" selection-start-line="25" selection-start-column="2" selection-end-line="25" selection-end-column="2" />
          <folding>
            <element signature="e#87#109#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/PerlinNoise.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="345">
          <caret line="28" lean-forward="true" selection-start-line="28" selection-end-line="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/RenderComponent.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="480">
          <caret line="32" lean-forward="true" selection-start-line="32" selection-end-line="32" />
          <folding>
            <element signature="e#105#122#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Engine.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="705">
          <caret line="47" lean-forward="true" selection-start-line="47" selection-end-line="47" />
          <folding>
            <element signature="e#93#115#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Camera.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="526">
          <caret line="37" column="24" lean-forward="true" selection-start-line="37" selection-start-column="24" selection-end-line="37" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Renderer.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="17" column="39" selection-start-line="17" selection-start-column="39" selection-end-line="17" selection-end-column="39" />
          <folding>
            <element signature="e#92#109#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/ResourceManager.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="15" column="46" selection-start-line="15" selection-start-column="46" selection-end-line="15" selection-end-column="46" />
          <folding>
            <element signature="e#105#119#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Scene.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="17" column="32" selection-start-line="17" selection-start-column="32" selection-end-line="17" selection-end-column="32" />
          <folding>
            <element signature="e#86#103#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/ParticleEngine.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="13" column="24" selection-start-line="13" selection-start-column="24" selection-end-line="13" selection-end-column="24" />
          <folding>
            <element signature="e#104#121#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Shader.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="450">
          <caret line="30" selection-start-line="30" selection-end-line="30" />
          <folding>
            <element signature="e#87#104#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Texture.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="345">
          <caret line="23" column="34" selection-start-line="23" selection-start-column="34" selection-end-line="23" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/CMakeLists.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="16" selection-start-line="16" selection-end-line="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/main.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="4" selection-start-line="4" selection-end-line="4" />
          <folding>
            <element signature="e#0#19#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/params_diffusion.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="17" column="11" selection-start-line="17" selection-start-column="11" selection-end-line="17" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/params_plot.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="13" column="10" lean-forward="true" selection-start-line="13" selection-start-column="10" selection-end-line="13" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/ParticleEngine.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="312">
          <caret line="271" column="8" selection-start-line="271" selection-start-column="8" selection-end-line="271" selection-end-column="8" />
          <folding>
            <element signature="e#40#59#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/params.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="6" column="15" lean-forward="true" selection-start-line="6" selection-start-column="15" selection-end-line="6" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/params_left.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="270">
          <caret line="18" column="21" lean-forward="true" selection-start-line="18" selection-start-column="21" selection-end-line="18" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/params_vorticity.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="420">
          <caret line="28" lean-forward="true" selection-start-line="28" selection-end-line="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/params_buoyancy.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret selection-end-line="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/params_basic.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="6" column="15" selection-start-line="6" selection-start-column="15" selection-end-line="6" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/params_gravity.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="420">
          <caret line="28" selection-start-line="28" selection-end-line="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/params_upleft.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="405">
          <caret line="27" column="35" selection-start-line="27" selection-start-column="35" selection-end-line="27" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Engine.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="301">
          <caret line="59" column="62" selection-start-line="59" selection-start-column="62" selection-end-line="59" selection-end-column="62" />
          <folding>
            <element signature="e#40#60#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>